<?
require_once('include/global.php');
require_once('include/mail_lib.php');
require_once('conf.inc.php');


// check
	if (!$_POST['mb_id'] || !$_POST['mb_name'])
		msg('올바른 URL로 접근하여 주십시오');

	// 중복여부 체크
	$mb_parent = $_POST['mb_parent'] ?: '0';
	$mb_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB[MAIL_BOX] . " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_name='" . $_POST['mb_name'] . "' AND mb_id != '" . $_POST['mb_id'] . "' AND mb_parent='" . $mb_parent . "'");
	if ($mb_cnt > 0)
		msg("이미 존재하는 편지함 이름입니다.\\n\\n다른 이름을 사용하여 주십시오.");


// data
	$_POST['mb_id'] = to_db_str($_POST['mb_id'], 5);
	$_POST['mb_name'] = to_db_str($_POST['mb_name'], 255);
	$_POST['mb_saveday'] = to_db_str($_POST['mb_saveday'], 3);
	$_POST['mb_sort'] = to_db_str($_POST['mb_sort'], 3);
	$_POST['mb_parent'] = to_db_str($_POST['mb_parent'], 5);

	// [2025-11-24] 편지함 트리 최대 깊이 제한
	$mb_depth = db_get_one("SELECT mb_depth FROM " . $TB['MAIL_BOX']. " WHERE m_no='" . $AUTH['auth_m_no'] . "' AND mb_id='" . $_POST['mb_parent'] . "'");

	if ($mb_depth >= $G_SYS['NM_MAIL_BOX_MAX_DEPTH']) {
		msg('편지함 깊이는 ' . $G_SYS['NM_MAIL_BOX_MAX_DEPTH'] . '단계까지만 지정할 수 있습니다.');
	}

	// [2025-11-25] G_SYS['NM_MAIL_READ_HTML_LIMIT'] 기준 편지함은 HTML 제한이 Y로 고정되어야 함.
	if (in_array($_POST['mb_id'], $G_SYS['NM_MAIL_READ_HTML_LIMIT'])) {
		if ($_POST['html_limit'] !== 'Y') {
			$_POST['html_limit'] = 'Y';
		}
	}

	/*
	$sql = "
		UPDATE
			" . $TB[MAIL_BOX] . "
		SET
			mb_name='" . $_POST['mb_name'] . "',
			mb_saveday='" . $_POST['mb_saveday'] . "',
			mb_sort='" . $_POST['mb_sort'] . "',
			mb_parent='" . $_POST['mb_parent'] . "'
		WHERE
			m_no='". $AUTH['auth_m_no'] . "'
			AND mb_id='" . $_POST['mb_id'] . "'
		";
	db_query($sql);
	*/
	// [2023-04-27] 편지함 트리 지원
	$cg = get_mail_box_tree_class();
	$ext_set = ", mb_saveday='" . $_POST['mb_saveday'] . "', html_limit='" . $_POST['html_limit'] . "'";
	$msg = $cg->modifyRow($_POST['mb_id'], $_POST['mb_name'], $_POST['mb_parent'], $_POST['mb_sort'], NULL, $ext_set, "AND ".get_mail_box_where());
	if ($msg)
		msg($msg);


// end
	if ($_GET['is_window_close'])
	{
		msg("편지함이 수정되었습니다.", 0);
		?>
		<script language="JavaScript">
	        <!--
	        opener.location.reload();
	        window.close();
	        //-->
		</script>
		<?
	} else if ($_GET['back_url'])
	{
		msg("편지함이 수정되었습니다.", 0);
		movepage($_GET['back_url']);
	} else
	{
		msg("편지함이 수정되었습니다.", 0);
		movepage('mail_box.php');
	}	// if()

require_once('include/global_end.php');
?>